# AP4_StscTableEntry Class Reference

`#include <Ap4StscAtom.h>`

List of all members.

## Public Member Functions
| AP4_StscTableEntry ()
| AP4_StscTableEntry (AP4_Ordinal first_chunk, AP4_Ordinal first_sample, AP4_Cardinal samples_per_chunk, AP4_Ordinal sample_description_index)
| AP4_StscTableEntry (AP4_Ordinal first_chunk, AP4_Ordinal first_sample, AP4_Cardinal chunk_count, AP4_Cardinal samples_per_chunk, AP4_Ordinal sample_description_index)
## Public Attributes
AP4_Ordinal | m_FirstChunk
AP4_Ordinal | m_FirstSample
AP4_Cardinal | m_ChunkCount
AP4_Cardinal | m_SamplesPerChunk
AP4_Ordinal | m_SampleDescriptionIndex

## Detailed Description

Definition at line 42 of file Ap4StscAtom.h.

## Constructor & Destructor Documentation

AP4_StscTableEntry::AP4_StscTableEntry | ( |  | ) | `[inline]`

Definition at line 44 of file Ap4StscAtom.h.

AP4_StscTableEntry::AP4_StscTableEntry | ( | AP4_Ordinal | first_chunk,
|  | AP4_Ordinal | first_sample,
|  | AP4_Cardinal | samples_per_chunk,
|  | AP4_Ordinal | sample_description_index |
| ) |  |  | `[inline]`

Definition at line 50 of file Ap4StscAtom.h.

AP4_StscTableEntry::AP4_StscTableEntry | ( | AP4_Ordinal | first_chunk,
|  | AP4_Ordinal | first_sample,
|  | AP4_Cardinal | chunk_count,
|  | AP4_Cardinal | samples_per_chunk,
|  | AP4_Ordinal | sample_description_index |
| ) |  |  | `[inline]`

Definition at line 59 of file Ap4StscAtom.h.

## Member Data Documentation

AP4_Ordinal AP4_StscTableEntry::m_FirstChunk

Definition at line 69 of file Ap4StscAtom.h.

AP4_Ordinal AP4_StscTableEntry::m_FirstSample

Definition at line 70 of file Ap4StscAtom.h.

AP4_Cardinal AP4_StscTableEntry::m_ChunkCount

Definition at line 71 of file Ap4StscAtom.h.

AP4_Cardinal AP4_StscTableEntry::m_SamplesPerChunk

Definition at line 72 of file Ap4StscAtom.h.

AP4_Ordinal AP4_StscTableEntry::m_SampleDescriptionIndex

Definition at line 73 of file Ap4StscAtom.h.

The documentation for this class was generated from the following file:

- Ap4StscAtom.h